
D4Science Infrastructure - Task #6055

Upgrade # 6046 (Completed): D4Science Infrastructure Upgrade to gCube 4.2

 Produce Release Notes for gCube 4.2.0

Nov 28, 2016 10:50 AM - Massimiliano Assante

Status: Closed Start date: Dec 05, 2016

Priority: Normal Due date: Dec 09, 2016

Assignee: Gabriele Giammatteo % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.2.0

  

Infrastructure: Production   

Description

Please produce Release Notes for gCube 4.2.0

History

#1 - Nov 29, 2016 06:37 PM - Nikolas Laskaris

- % Done changed from 0 to 20

#2 - Dec 07, 2016 05:47 PM - Massimiliano Assante

- Tracker changed from Upgrade to Task

- Status changed from New to In Progress

#3 - Dec 09, 2016 06:54 PM - Nikolas Laskaris

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

Please find the changelog in .doc format here https://goo.gl/z9qrBC

If you prefer another format, let me know!

#4 - Dec 13, 2016 06:26 PM - Massimiliano Assante

- Status changed from Closed to In Progress

- Assignee changed from Nikolas Laskaris to Gabriele Giammatteo

- % Done changed from 100 to 90

@gabriele.giammatteo@eng.it the portlet for publishing the release notes is updated and available at the usual address 

https://services.d4science.org/group/d4science.research-infrastructures.eu/releases

when you're done please close the ticket.

#5 - Dec 16, 2016 03:41 PM - Gabriele Giammatteo

Nikolas Laskaris wrote:

If you prefer another format, let me know!

 Actually, this is something I wanted to discuss.

Currently from the doc I migrate it to Markdown to put the news in GitHub (see this example [1]). This is done manually (excepting for creating the

links for which I use a simple sed substitution). Then using http://dillinger.io/ I create an html version to put in the gCube website.

The whole process takes me not more than 10 minutes, so it is not a big deal, but if you have no particular reason to create the news in doc format,

having it already in Markdown would save me from doing the transformation

In any case, I already did it for this release, so this would be valid for the future.

[1] https://github.com/gcube-team/gcube-releases/releases/tag/v4.1.0
#6 - Jan 20, 2017 02:59 PM - Gabriele Giammatteo

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

release notes have been published already one month ago. I left the ticket open. The discussion on the format can be continued in the ticket for next

release notes :)
